
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><title>Python: module rr</title>
</head><body bgcolor="#f0f0f8">

<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="heading">
<tr bgcolor="#7799ee">
<td valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial">&nbsp;<br><big><big><strong>rr</strong></big></big></font></td
><td align=right valign=bottom
><font color="#ffffff" face="helvetica, arial"><a href=".">index</a><br><a href="file:/home/dcobas/gnurabbit/python/rr.py">/home/dcobas/gnurabbit/python/rr.py</a></font></td></tr></table>
    <p><tt>#&nbsp;&nbsp;&nbsp;:vi:ts=4&nbsp;sw=4&nbsp;et</tt></p>
<p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#aa55cc">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Modules</strong></big></font></td></tr>
    
<tr><td bgcolor="#aa55cc"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><table width="100%" summary="list"><tr><td width="25%" valign=top><a href="errno.html">errno</a><br>
<a href="os.html">os</a><br>
</td><td width="25%" valign=top><a href="re.html">re</a><br>
<a href="struct.html">struct</a><br>
</td><td width="25%" valign=top><a href="sys.html">sys</a><br>
</td><td width="25%" valign=top></td></tr></table></td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ee77aa">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Classes</strong></big></font></td></tr>
    
<tr><td bgcolor="#ee77aa"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><dl>
<dt><font face="helvetica, arial"><a href="__builtin__.html#object">__builtin__.object</a>
</font></dt><dd>
<dl>
<dt><font face="helvetica, arial"><a href="rr.html#Gennum">Gennum</a>
</font></dt></dl>
</dd>
<dt><font face="helvetica, arial"><a href="_ctypes.html#Array">_ctypes.Array</a>(_ctypes._CData)
</font></dt><dd>
<dl>
<dt><font face="helvetica, arial">c_long_Array_256
</font></dt></dl>
</dd>
<dt><font face="helvetica, arial"><a href="_ctypes.html#Structure">_ctypes.Structure</a>(_ctypes._CData)
</font></dt><dd>
<dl>
<dt><font face="helvetica, arial"><a href="rr.html#RR_Devsel">RR_Devsel</a>
</font></dt><dt><font face="helvetica, arial"><a href="rr.html#RR_Iocmd">RR_Iocmd</a>
</font></dt></dl>
</dd>
<dt><font face="helvetica, arial"><a href="_ctypes.html#Union">_ctypes.Union</a>(_ctypes._CData)
</font></dt><dd>
<dl>
<dt><font face="helvetica, arial"><a href="rr.html#RR_U">RR_U</a>
</font></dt></dl>
</dd>
</dl>
 <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><a name="Gennum">class <strong>Gennum</strong></a>(<a href="__builtin__.html#object">__builtin__.object</a>)</font></td></tr>
    
<tr><td bgcolor="#ffc8d8"><tt>&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%">Methods defined here:<br>
<dl><dt><a name="Gennum-__init__"><strong>__init__</strong></a>(self)</dt><dd><tt>get&nbsp;a&nbsp;file&nbsp;descriptor&nbsp;for&nbsp;the&nbsp;<a href="#Gennum">Gennum</a>&nbsp;device</tt></dd></dl>

<dl><dt><a name="Gennum-bind"><strong>bind</strong></a>(self, device)</dt><dd><tt>bind&nbsp;the&nbsp;rawrabbit&nbsp;driver&nbsp;to&nbsp;a&nbsp;device<br>
&nbsp;<br>
The&nbsp;device&nbsp;is&nbsp;specified&nbsp;with&nbsp;a&nbsp;syntax&nbsp;described&nbsp;in&nbsp;parse_addr</tt></dd></dl>

<dl><dt><a name="Gennum-getdmasize"><strong>getdmasize</strong></a>(self)</dt><dd><tt>return&nbsp;the&nbsp;size&nbsp;of&nbsp;the&nbsp;allocated&nbsp;DMA&nbsp;buffer&nbsp;(in&nbsp;bytes)</tt></dd></dl>

<dl><dt><a name="Gennum-getplist"><strong>getplist</strong></a>(self)</dt><dd><tt>get&nbsp;a&nbsp;list&nbsp;of&nbsp;pages&nbsp;for&nbsp;DMA&nbsp;access<br>
&nbsp;<br>
The&nbsp;addresses&nbsp;returned,&nbsp;shifted&nbsp;by&nbsp;12&nbsp;bits,&nbsp;give&nbsp;the&nbsp;physical<br>
addresses&nbsp;of&nbsp;the&nbsp;allocated&nbsp;pages</tt></dd></dl>

<dl><dt><a name="Gennum-info"><strong>info</strong></a>(self)</dt><dd><tt>get&nbsp;a&nbsp;string&nbsp;describing&nbsp;the&nbsp;interface&nbsp;the&nbsp;driver&nbsp;is&nbsp;bound&nbsp;to<br>
&nbsp;<br>
The&nbsp;syntax&nbsp;of&nbsp;the&nbsp;string&nbsp;is&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;vendor:device/dubvendor:subdevice@bus:devfn</tt></dd></dl>

<dl><dt><a name="Gennum-iread"><strong>iread</strong></a>(self, bar, offset, width)</dt><dd><tt>do&nbsp;a&nbsp;read&nbsp;by&nbsp;means&nbsp;of&nbsp;the&nbsp;ioctl&nbsp;interface<br>
&nbsp;<br>
bar&nbsp;=&nbsp;0,&nbsp;2,&nbsp;4&nbsp;(or&nbsp;c&nbsp;for&nbsp;DMA&nbsp;buffer&nbsp;access<br>
offset&nbsp;=&nbsp;address&nbsp;within&nbsp;bar<br>
width&nbsp;=&nbsp;data&nbsp;size&nbsp;(1,&nbsp;2,&nbsp;4&nbsp;or&nbsp;8&nbsp;bytes)</tt></dd></dl>

<dl><dt><a name="Gennum-irqena"><strong>irqena</strong></a>(self)</dt><dd><tt>enable&nbsp;the&nbsp;interrupt&nbsp;line</tt></dd></dl>

<dl><dt><a name="Gennum-irqwait"><strong>irqwait</strong></a>(self)</dt><dd><tt>wait&nbsp;for&nbsp;an&nbsp;interrupt</tt></dd></dl>

<dl><dt><a name="Gennum-iwrite"><strong>iwrite</strong></a>(self, bar, offset, width, datum)</dt><dd><tt>do&nbsp;a&nbsp;write&nbsp;by&nbsp;means&nbsp;of&nbsp;the&nbsp;ioctl&nbsp;interface<br>
&nbsp;<br>
bar&nbsp;=&nbsp;0,&nbsp;2,&nbsp;4&nbsp;(or&nbsp;c&nbsp;for&nbsp;DMA&nbsp;buffer&nbsp;access<br>
offset&nbsp;=&nbsp;address&nbsp;within&nbsp;bar<br>
width&nbsp;=&nbsp;data&nbsp;size&nbsp;(1,&nbsp;2,&nbsp;4&nbsp;or&nbsp;8&nbsp;bytes)<br>
datum&nbsp;=&nbsp;value&nbsp;to&nbsp;be&nbsp;written</tt></dd></dl>

<dl><dt><a name="Gennum-parse_addr"><strong>parse_addr</strong></a>(self, addr)</dt><dd><tt>take&nbsp;a&nbsp;string&nbsp;of&nbsp;the&nbsp;form<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;vendor:device[/subvendor:subdevice][@bus:devfn]<br>
and&nbsp;return&nbsp;a&nbsp;dictionary&nbsp;<a href="__builtin__.html#object">object</a>&nbsp;with&nbsp;the&nbsp;corresponding&nbsp;values,<br>
initialized&nbsp;to&nbsp;RR_DEVSEL_UNUSED&nbsp;when&nbsp;absent</tt></dd></dl>

<dl><dt><a name="Gennum-read"><strong>read</strong></a>(self, bar, offset, width)</dt><dd><tt>do&nbsp;a&nbsp;read&nbsp;by&nbsp;means&nbsp;of&nbsp;lseek+read<br>
&nbsp;<br>
bar&nbsp;=&nbsp;0,&nbsp;2,&nbsp;4&nbsp;(or&nbsp;c&nbsp;for&nbsp;DMA&nbsp;buffer&nbsp;access<br>
offset&nbsp;=&nbsp;address&nbsp;within&nbsp;bar<br>
width&nbsp;=&nbsp;data&nbsp;size&nbsp;(1,&nbsp;2,&nbsp;4&nbsp;or&nbsp;8&nbsp;bytes)</tt></dd></dl>

<dl><dt><a name="Gennum-write"><strong>write</strong></a>(self, bar, offset, width, datum)</dt><dd><tt>do&nbsp;a&nbsp;write&nbsp;by&nbsp;means&nbsp;of&nbsp;lseek+write<br>
&nbsp;<br>
bar&nbsp;=&nbsp;0,&nbsp;2,&nbsp;4&nbsp;(or&nbsp;c&nbsp;for&nbsp;DMA&nbsp;buffer&nbsp;access<br>
offset&nbsp;=&nbsp;address&nbsp;within&nbsp;bar<br>
width&nbsp;=&nbsp;data&nbsp;size&nbsp;(1,&nbsp;2,&nbsp;4&nbsp;or&nbsp;8&nbsp;bytes)<br>
datum&nbsp;=&nbsp;value&nbsp;to&nbsp;be&nbsp;written</tt></dd></dl>

<hr>
Data descriptors defined here:<br>
<dl><dt><strong>__dict__</strong></dt>
<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>__weakref__</strong></dt>
<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<hr>
Data and other attributes defined here:<br>
<dl><dt><strong>device</strong> = '/dev/rawrabbit'</dl>

<dl><dt><strong>rrlib</strong> = './rrlib.so'</dl>

</td></tr></table> <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><strong>Plist</strong> = <a name="Plist">class c_long_Array_256</a>(<a href="_ctypes.html#Array">_ctypes.Array</a>)</font></td></tr>
    
<tr><td bgcolor="#ffc8d8"><tt>&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><dl><dt>Method resolution order:</dt>
<dd>c_long_Array_256</dd>
<dd><a href="_ctypes.html#Array">_ctypes.Array</a></dd>
<dd>_ctypes._CData</dd>
<dd><a href="__builtin__.html#object">__builtin__.object</a></dd>
</dl>
<hr>
Data descriptors defined here:<br>
<dl><dt><strong>__dict__</strong></dt>
<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>__weakref__</strong></dt>
<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<hr>
Methods inherited from <a href="_ctypes.html#Array">_ctypes.Array</a>:<br>
<dl><dt><a name="c_long_Array_256-__delitem__"><strong>__delitem__</strong></a>(...)</dt><dd><tt>x.<a href="#Plist-__delitem__">__delitem__</a>(y)&nbsp;&lt;==&gt;&nbsp;del&nbsp;x[y]</tt></dd></dl>

<dl><dt><a name="c_long_Array_256-__delslice__"><strong>__delslice__</strong></a>(...)</dt><dd><tt>x.<a href="#Plist-__delslice__">__delslice__</a>(i,&nbsp;j)&nbsp;&lt;==&gt;&nbsp;del&nbsp;x[i:j]<br>
&nbsp;<br>
Use&nbsp;of&nbsp;negative&nbsp;indices&nbsp;is&nbsp;not&nbsp;supported.</tt></dd></dl>

<dl><dt><a name="c_long_Array_256-__getitem__"><strong>__getitem__</strong></a>(...)</dt><dd><tt>x.<a href="#Plist-__getitem__">__getitem__</a>(y)&nbsp;&lt;==&gt;&nbsp;x[y]</tt></dd></dl>

<dl><dt><a name="c_long_Array_256-__getslice__"><strong>__getslice__</strong></a>(...)</dt><dd><tt>x.<a href="#Plist-__getslice__">__getslice__</a>(i,&nbsp;j)&nbsp;&lt;==&gt;&nbsp;x[i:j]<br>
&nbsp;<br>
Use&nbsp;of&nbsp;negative&nbsp;indices&nbsp;is&nbsp;not&nbsp;supported.</tt></dd></dl>

<dl><dt><a name="c_long_Array_256-__init__"><strong>__init__</strong></a>(...)</dt><dd><tt>x.<a href="#Plist-__init__">__init__</a>(...)&nbsp;initializes&nbsp;x;&nbsp;see&nbsp;x.__class__.__doc__&nbsp;for&nbsp;signature</tt></dd></dl>

<dl><dt><a name="c_long_Array_256-__len__"><strong>__len__</strong></a>(...)</dt><dd><tt>x.<a href="#Plist-__len__">__len__</a>()&nbsp;&lt;==&gt;&nbsp;len(x)</tt></dd></dl>

<dl><dt><a name="c_long_Array_256-__setitem__"><strong>__setitem__</strong></a>(...)</dt><dd><tt>x.<a href="#Plist-__setitem__">__setitem__</a>(i,&nbsp;y)&nbsp;&lt;==&gt;&nbsp;x[i]=y</tt></dd></dl>

<dl><dt><a name="c_long_Array_256-__setslice__"><strong>__setslice__</strong></a>(...)</dt><dd><tt>x.<a href="#Plist-__setslice__">__setslice__</a>(i,&nbsp;j,&nbsp;y)&nbsp;&lt;==&gt;&nbsp;x[i:j]=y<br>
&nbsp;<br>
Use&nbsp;&nbsp;of&nbsp;negative&nbsp;indices&nbsp;is&nbsp;not&nbsp;supported.</tt></dd></dl>

<hr>
Data and other attributes inherited from <a href="_ctypes.html#Array">_ctypes.Array</a>:<br>
<dl><dt><strong>__new__</strong> = &lt;built-in method __new__ of _ctypes.ArrayType object&gt;<dd><tt>T.<a href="#Plist-__new__">__new__</a>(S,&nbsp;...)&nbsp;-&gt;&nbsp;a&nbsp;new&nbsp;<a href="__builtin__.html#object">object</a>&nbsp;with&nbsp;type&nbsp;S,&nbsp;a&nbsp;subtype&nbsp;of&nbsp;T</tt></dl>

<hr>
Methods inherited from _ctypes._CData:<br>
<dl><dt><a name="c_long_Array_256-__ctypes_from_outparam__"><strong>__ctypes_from_outparam__</strong></a>(...)</dt></dl>

<dl><dt><a name="c_long_Array_256-__hash__"><strong>__hash__</strong></a>(...)</dt><dd><tt>x.<a href="#Plist-__hash__">__hash__</a>()&nbsp;&lt;==&gt;&nbsp;hash(x)</tt></dd></dl>

<dl><dt><a name="c_long_Array_256-__reduce__"><strong>__reduce__</strong></a>(...)</dt></dl>

<dl><dt><a name="c_long_Array_256-__setstate__"><strong>__setstate__</strong></a>(...)</dt></dl>

</td></tr></table> <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><a name="RR_Devsel">class <strong>RR_Devsel</strong></a>(<a href="_ctypes.html#Structure">_ctypes.Structure</a>)</font></td></tr>
    
<tr><td bgcolor="#ffc8d8"><tt>&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><dl><dt>Method resolution order:</dt>
<dd><a href="rr.html#RR_Devsel">RR_Devsel</a></dd>
<dd><a href="_ctypes.html#Structure">_ctypes.Structure</a></dd>
<dd>_ctypes._CData</dd>
<dd><a href="__builtin__.html#object">__builtin__.object</a></dd>
</dl>
<hr>
Data descriptors defined here:<br>
<dl><dt><strong>__dict__</strong></dt>
<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>__weakref__</strong></dt>
<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>bus</strong></dt>
<dd><tt>Structure/Union&nbsp;member</tt></dd>
</dl>
<dl><dt><strong>devfn</strong></dt>
<dd><tt>Structure/Union&nbsp;member</tt></dd>
</dl>
<dl><dt><strong>device</strong></dt>
<dd><tt>Structure/Union&nbsp;member</tt></dd>
</dl>
<dl><dt><strong>subdevice</strong></dt>
<dd><tt>Structure/Union&nbsp;member</tt></dd>
</dl>
<dl><dt><strong>subvendor</strong></dt>
<dd><tt>Structure/Union&nbsp;member</tt></dd>
</dl>
<dl><dt><strong>vendor</strong></dt>
<dd><tt>Structure/Union&nbsp;member</tt></dd>
</dl>
<hr>
Methods inherited from <a href="_ctypes.html#Structure">_ctypes.Structure</a>:<br>
<dl><dt><a name="RR_Devsel-__init__"><strong>__init__</strong></a>(...)</dt><dd><tt>x.<a href="#RR_Devsel-__init__">__init__</a>(...)&nbsp;initializes&nbsp;x;&nbsp;see&nbsp;x.__class__.__doc__&nbsp;for&nbsp;signature</tt></dd></dl>

<hr>
Data and other attributes inherited from <a href="_ctypes.html#Structure">_ctypes.Structure</a>:<br>
<dl><dt><strong>__new__</strong> = &lt;built-in method __new__ of _ctypes.StructType object&gt;<dd><tt>T.<a href="#RR_Devsel-__new__">__new__</a>(S,&nbsp;...)&nbsp;-&gt;&nbsp;a&nbsp;new&nbsp;<a href="__builtin__.html#object">object</a>&nbsp;with&nbsp;type&nbsp;S,&nbsp;a&nbsp;subtype&nbsp;of&nbsp;T</tt></dl>

<hr>
Methods inherited from _ctypes._CData:<br>
<dl><dt><a name="RR_Devsel-__ctypes_from_outparam__"><strong>__ctypes_from_outparam__</strong></a>(...)</dt></dl>

<dl><dt><a name="RR_Devsel-__hash__"><strong>__hash__</strong></a>(...)</dt><dd><tt>x.<a href="#RR_Devsel-__hash__">__hash__</a>()&nbsp;&lt;==&gt;&nbsp;hash(x)</tt></dd></dl>

<dl><dt><a name="RR_Devsel-__reduce__"><strong>__reduce__</strong></a>(...)</dt></dl>

<dl><dt><a name="RR_Devsel-__setstate__"><strong>__setstate__</strong></a>(...)</dt></dl>

</td></tr></table> <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><a name="RR_Iocmd">class <strong>RR_Iocmd</strong></a>(<a href="_ctypes.html#Structure">_ctypes.Structure</a>)</font></td></tr>
    
<tr><td bgcolor="#ffc8d8"><tt>&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><dl><dt>Method resolution order:</dt>
<dd><a href="rr.html#RR_Iocmd">RR_Iocmd</a></dd>
<dd><a href="_ctypes.html#Structure">_ctypes.Structure</a></dd>
<dd>_ctypes._CData</dd>
<dd><a href="__builtin__.html#object">__builtin__.object</a></dd>
</dl>
<hr>
Data descriptors defined here:<br>
<dl><dt><strong>__dict__</strong></dt>
<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>__weakref__</strong></dt>
<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>address</strong></dt>
<dd><tt>Structure/Union&nbsp;member</tt></dd>
</dl>
<dl><dt><strong>data</strong></dt>
<dd><tt>Structure/Union&nbsp;member</tt></dd>
</dl>
<dl><dt><strong>data16</strong></dt>
<dd><tt>Structure/Union&nbsp;member</tt></dd>
</dl>
<dl><dt><strong>data32</strong></dt>
<dd><tt>Structure/Union&nbsp;member</tt></dd>
</dl>
<dl><dt><strong>data64</strong></dt>
<dd><tt>Structure/Union&nbsp;member</tt></dd>
</dl>
<dl><dt><strong>data8</strong></dt>
<dd><tt>Structure/Union&nbsp;member</tt></dd>
</dl>
<dl><dt><strong>datasize</strong></dt>
<dd><tt>Structure/Union&nbsp;member</tt></dd>
</dl>
<hr>
Methods inherited from <a href="_ctypes.html#Structure">_ctypes.Structure</a>:<br>
<dl><dt><a name="RR_Iocmd-__init__"><strong>__init__</strong></a>(...)</dt><dd><tt>x.<a href="#RR_Iocmd-__init__">__init__</a>(...)&nbsp;initializes&nbsp;x;&nbsp;see&nbsp;x.__class__.__doc__&nbsp;for&nbsp;signature</tt></dd></dl>

<hr>
Data and other attributes inherited from <a href="_ctypes.html#Structure">_ctypes.Structure</a>:<br>
<dl><dt><strong>__new__</strong> = &lt;built-in method __new__ of _ctypes.StructType object&gt;<dd><tt>T.<a href="#RR_Iocmd-__new__">__new__</a>(S,&nbsp;...)&nbsp;-&gt;&nbsp;a&nbsp;new&nbsp;<a href="__builtin__.html#object">object</a>&nbsp;with&nbsp;type&nbsp;S,&nbsp;a&nbsp;subtype&nbsp;of&nbsp;T</tt></dl>

<hr>
Methods inherited from _ctypes._CData:<br>
<dl><dt><a name="RR_Iocmd-__ctypes_from_outparam__"><strong>__ctypes_from_outparam__</strong></a>(...)</dt></dl>

<dl><dt><a name="RR_Iocmd-__hash__"><strong>__hash__</strong></a>(...)</dt><dd><tt>x.<a href="#RR_Iocmd-__hash__">__hash__</a>()&nbsp;&lt;==&gt;&nbsp;hash(x)</tt></dd></dl>

<dl><dt><a name="RR_Iocmd-__reduce__"><strong>__reduce__</strong></a>(...)</dt></dl>

<dl><dt><a name="RR_Iocmd-__setstate__"><strong>__setstate__</strong></a>(...)</dt></dl>

</td></tr></table> <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><a name="RR_U">class <strong>RR_U</strong></a>(<a href="_ctypes.html#Union">_ctypes.Union</a>)</font></td></tr>
    
<tr><td bgcolor="#ffc8d8"><tt>&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><dl><dt>Method resolution order:</dt>
<dd><a href="rr.html#RR_U">RR_U</a></dd>
<dd><a href="_ctypes.html#Union">_ctypes.Union</a></dd>
<dd>_ctypes._CData</dd>
<dd><a href="__builtin__.html#object">__builtin__.object</a></dd>
</dl>
<hr>
Data descriptors defined here:<br>
<dl><dt><strong>__dict__</strong></dt>
<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>__weakref__</strong></dt>
<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>data16</strong></dt>
<dd><tt>Structure/Union&nbsp;member</tt></dd>
</dl>
<dl><dt><strong>data32</strong></dt>
<dd><tt>Structure/Union&nbsp;member</tt></dd>
</dl>
<dl><dt><strong>data64</strong></dt>
<dd><tt>Structure/Union&nbsp;member</tt></dd>
</dl>
<dl><dt><strong>data8</strong></dt>
<dd><tt>Structure/Union&nbsp;member</tt></dd>
</dl>
<hr>
Methods inherited from <a href="_ctypes.html#Union">_ctypes.Union</a>:<br>
<dl><dt><a name="RR_U-__init__"><strong>__init__</strong></a>(...)</dt><dd><tt>x.<a href="#RR_U-__init__">__init__</a>(...)&nbsp;initializes&nbsp;x;&nbsp;see&nbsp;x.__class__.__doc__&nbsp;for&nbsp;signature</tt></dd></dl>

<hr>
Data and other attributes inherited from <a href="_ctypes.html#Union">_ctypes.Union</a>:<br>
<dl><dt><strong>__new__</strong> = &lt;built-in method __new__ of _ctypes.UnionType object&gt;<dd><tt>T.<a href="#RR_U-__new__">__new__</a>(S,&nbsp;...)&nbsp;-&gt;&nbsp;a&nbsp;new&nbsp;<a href="__builtin__.html#object">object</a>&nbsp;with&nbsp;type&nbsp;S,&nbsp;a&nbsp;subtype&nbsp;of&nbsp;T</tt></dl>

<hr>
Methods inherited from _ctypes._CData:<br>
<dl><dt><a name="RR_U-__ctypes_from_outparam__"><strong>__ctypes_from_outparam__</strong></a>(...)</dt></dl>

<dl><dt><a name="RR_U-__hash__"><strong>__hash__</strong></a>(...)</dt><dd><tt>x.<a href="#RR_U-__hash__">__hash__</a>()&nbsp;&lt;==&gt;&nbsp;hash(x)</tt></dd></dl>

<dl><dt><a name="RR_U-__reduce__"><strong>__reduce__</strong></a>(...)</dt></dl>

<dl><dt><a name="RR_U-__setstate__"><strong>__setstate__</strong></a>(...)</dt></dl>

</td></tr></table></td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#eeaa77">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Functions</strong></big></font></td></tr>
    
<tr><td bgcolor="#eeaa77"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><dl><dt><a name="-POINTER"><strong>POINTER</strong></a>(...)</dt></dl>
 <dl><dt><a name="-addressof"><strong>addressof</strong></a>(...)</dt><dd><tt><a href="#-addressof">addressof</a>(C&nbsp;instance)&nbsp;-&gt;&nbsp;integer<br>
Return&nbsp;the&nbsp;address&nbsp;of&nbsp;the&nbsp;C&nbsp;instance&nbsp;internal&nbsp;buffer</tt></dd></dl>
 <dl><dt><a name="-alignment"><strong>alignment</strong></a>(...)</dt><dd><tt><a href="#-alignment">alignment</a>(C&nbsp;type)&nbsp;-&gt;&nbsp;integer<br>
<a href="#-alignment">alignment</a>(C&nbsp;instance)&nbsp;-&gt;&nbsp;integer<br>
Return&nbsp;the&nbsp;alignment&nbsp;requirements&nbsp;of&nbsp;a&nbsp;C&nbsp;instance</tt></dd></dl>
 <dl><dt><a name="-byref"><strong>byref</strong></a>(...)</dt><dd><tt><a href="#-byref">byref</a>(C&nbsp;instance[,&nbsp;offset=0])&nbsp;-&gt;&nbsp;byref-<a href="__builtin__.html#object">object</a><br>
Return&nbsp;a&nbsp;pointer&nbsp;lookalike&nbsp;to&nbsp;a&nbsp;C&nbsp;instance,&nbsp;only&nbsp;usable<br>
as&nbsp;function&nbsp;argument</tt></dd></dl>
 <dl><dt><a name="-get_errno"><strong>get_errno</strong></a>(...)</dt></dl>
 <dl><dt><a name="-pointer"><strong>pointer</strong></a>(...)</dt></dl>
 <dl><dt><a name="-resize"><strong>resize</strong></a>(...)</dt><dd><tt>Resize&nbsp;the&nbsp;memory&nbsp;buffer&nbsp;of&nbsp;a&nbsp;ctypes&nbsp;instance</tt></dd></dl>
 <dl><dt><a name="-set_conversion_mode"><strong>set_conversion_mode</strong></a>(...)</dt><dd><tt><a href="#-set_conversion_mode">set_conversion_mode</a>(encoding,&nbsp;errors)&nbsp;-&gt;&nbsp;(previous-encoding,&nbsp;previous-errors)<br>
&nbsp;<br>
Set&nbsp;the&nbsp;encoding&nbsp;and&nbsp;error&nbsp;handling&nbsp;ctypes&nbsp;uses&nbsp;when&nbsp;converting<br>
between&nbsp;unicode&nbsp;and&nbsp;strings.&nbsp;&nbsp;Returns&nbsp;the&nbsp;previous&nbsp;values.</tt></dd></dl>
 <dl><dt><a name="-set_errno"><strong>set_errno</strong></a>(...)</dt></dl>
 <dl><dt><a name="-sizeof"><strong>sizeof</strong></a>(...)</dt><dd><tt><a href="#-sizeof">sizeof</a>(C&nbsp;type)&nbsp;-&gt;&nbsp;integer<br>
<a href="#-sizeof">sizeof</a>(C&nbsp;instance)&nbsp;-&gt;&nbsp;integer<br>
Return&nbsp;the&nbsp;size&nbsp;in&nbsp;bytes&nbsp;of&nbsp;a&nbsp;C&nbsp;instance</tt></dd></dl>
</td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#55aa55">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Data</strong></big></font></td></tr>
    
<tr><td bgcolor="#55aa55"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><strong>DEFAULT_MODE</strong> = 0<br>
<strong>RR_BAR_0</strong> = 0<br>
<strong>RR_BAR_2</strong> = 536870912<br>
<strong>RR_BAR_4</strong> = 1073741824<br>
<strong>RR_BAR_BUF</strong> = 3221225472L<br>
<strong>RR_DEFAULT_DEVICE</strong> = 4<br>
<strong>RR_DEFAULT_VENDOR</strong> = 6713<br>
<strong>RR_DEVSEL_UNUSED</strong> = 65535<br>
<strong>RTLD_GLOBAL</strong> = 256<br>
<strong>RTLD_LOCAL</strong> = 0<br>
<strong>bar_map</strong> = {0: 0, 2: 536870912, 4: 1073741824, 12: 3221225472L}<br>
<strong>cdll</strong> = &lt;ctypes.LibraryLoader object&gt;<br>
<strong>fmt</strong> = {1: 'B', 2: 'H', 4: 'I', 8: 'L'}<br>
<strong>memmove</strong> = &lt;CFunctionType object&gt;<br>
<strong>memset</strong> = &lt;CFunctionType object&gt;<br>
<strong>pydll</strong> = &lt;ctypes.LibraryLoader object&gt;<br>
<strong>pythonapi</strong> = &lt;PyDLL 'None', handle b78398f8 at b73dd0ac&gt;</td></tr></table>
</body></html>